Transfer
3 endpoints
POST
/transfers
Create a transfer
Create a transfer.
Parameters
externalReference
Reference to external transfer ID
Request Body
requestedTransactions required
assetId required
Asset id
senderUserId required
The userId of the sender
senderWalletId required
The walletId of the sender
receiverUserId required
The userId of the receiver
receiverWalletId required
The walletId of the receiver
type
Transaction type
amount required
Transaction amount
externalReference
Reference to external transfer ID
Responses
201
400
Bad request
401
Unauthorized
POST https://api.qa.onyze.pro/v1/transfers
Request body
{
"requestedTransactions": [
{
"assetId": "GeFr9xwBR",
"senderUserId": "zXvYLtGLa",
"senderWalletId": "m3CShRzSq",
"receiverUserId": "zXvYLtGLa",
"receiverWalletId": "m3CShRzSq"
}
],
"externalReference": "External Transfer ID"
}
Response 201
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"status": "approved",
"transactions": [
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"status": "approved",
"amount": "10.000001"
}
],
"requestedTransactions": [
{
"assetId": "GeFr9xwBR",
"senderUserId": "zXvYLtGLa",
"senderWalletId": "m3CShRzSq",
"receiverUserId": "zXvYLtGLa",
"receiverWalletId": "m3CShRzSq"
}
],
"externalReference": "External Transfer ID"
}
GET
/transfers
List all transfers
List all transfers.
Parameters
page
Page number of the records list
limit
Max number of records by page. limit=0 to return all records
sort
Sort the response PARAM or -PARAM
externalReference
Reference to external transfer ID
Responses
200
400
Bad request
401
Unauthorized
404
Not found
GET https://api.qa.onyze.pro/v1/transfers
Response 200
[
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"status": "approved",
"transactions": [
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"status": "approved",
"amount": "10.000001"
}
],
"requestedTransactions": [
{
"assetId": "GeFr9xwBR",
"senderUserId": "zXvYLtGLa",
"senderWalletId": "m3CShRzSq",
"receiverUserId": "zXvYLtGLa",
"receiverWalletId": "m3CShRzSq"
}
],
"externalReference": "External Transfer ID"
}
]
GET
/transfers/{transfer}
Find a transfer by its id
Find a transfer by its id.
Parameters
transfer required
id parameter must be included in the URI
Responses
200
401
Unauthorized
404
Not found
GET https://api.qa.onyze.pro/v1/transfers/{transfer}
Response 200
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"status": "approved",
"transactions": [
{
"id": "d8vJIh-H",
"createdAt": "2018-08-17T17:04:55.626Z",
"updatedAt": "2018-08-21T18:24:17.185Z",
"status": "approved",
"amount": "10.000001"
}
],
"requestedTransactions": [
{
"assetId": "GeFr9xwBR",
"senderUserId": "zXvYLtGLa",
"senderWalletId": "m3CShRzSq",
"receiverUserId": "zXvYLtGLa",
"receiverWalletId": "m3CShRzSq"
}
],
"externalReference": "External Transfer ID"
}